<?php

namespace Drupal\devel_oidc\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\devel_oidc\Form\OidcMockLoginForm;
use Symfony\Component\HttpFoundation\Request;

/**
 * Main controller class.
 */
class OidcController extends ControllerBase {

  /**
   * Exposes a mock login route.
   */
  public function login(Request $request): array {
    return [
      // @phpstan-ignore-next-line
      'form' => $this->formBuilder()->getForm(OidcMockLoginForm::class, $request->get('client_id')),
    ];
  }

}
